using System;
using Newtonsoft.Json;

namespace Tesses.CMS.Client
{
    public class Episode
    {
        [JsonProperty("proper_name")]
        public string ProperName {get;set;}="";
        [JsonProperty("name")]
        public string Name {get;set;}="";
        [JsonProperty("season_number")]
        public int SeasonNumber {get;set;}
        [JsonProperty("episode_number")]
        public int EpisodeNumber {get;set;}
        [JsonProperty("episode_name")]
        public string EpisodeName {get;set;}="";
        [JsonProperty("creation_time")]
        public DateTime CreationTime {get;set;}
        [JsonProperty("last_updated_time")]
        public DateTime LastUpdated {get;set;}
        [JsonProperty("description")]
        public string Description {get;set;}="";
    }
}