using System;
using Newtonsoft.Json;
using System.Collections.Generic;
namespace Tesses.CMS.Client
{
     public class ShowContentMetaData
    {
        [JsonProperty("show_info")]
        public Show Info {get;set;}
        [JsonProperty("has_show_torrent")]
        public bool HasShowTorrent{get;set;}
        [JsonProperty("show_torrent_url")]
        public string ShowTorrentUrl {get;set;}
        [JsonProperty("has_show_with_extras_torrent")]
        public bool HasShowWithExtrasTorrent{get;set;}

        [JsonProperty("show_with_extras_torrent_url")]
        public string ShowWithExtrasTorrentUrl {get;set;}

        

        [JsonProperty("has_poster")]
        public bool HasPoster {get;set;}
        [JsonProperty("poster_url")]
        public string PosterUrl {get;set;}

        [JsonProperty("has_thumbnail")]
        public bool HasThumbnail {get;set;}

        [JsonProperty("thumbnail_url")]

        public string ThumbnailUrl {get;set;}
        [JsonProperty("extra_streams")]
        public List<ExtraDataStream> ExtraStreams {get;set;}=new List<ExtraDataStream>();
    }
    public class Show
    {
        [JsonProperty("proper_name")]
        public string ProperName {get;set;}="";
        [JsonProperty("name")]
        public string Name {get;set;}="";
       
        [JsonProperty("creation_time")]
        public DateTime CreationTime {get;set;}
        [JsonProperty("last_updated_time")]
        public DateTime LastUpdated {get;set;}
        [JsonProperty("description")]
        public string Description {get;set;}="";
    }
}
