using System;
using System.Collections.Generic;

namespace Tesses.CMS.Client
{
    public class ShowWithSeasonsAndEpisodes
    {
        public ShowWithSeasonsAndEpisodes(Show show,List<SeasonWithEpisodes> seasons)
        {
            ProperName = show.ProperName;
            Name = show.Name;
            CreationTime = show.CreationTime;
            LastUpdated = show.LastUpdated;
            Description = show.Description;
            Seasons = seasons;
        }

        public string ProperName {get;set;}="";

        public string Name {get;set;}="";
       

        public DateTime CreationTime {get;set;}
        public DateTime LastUpdated {get;set;}

        public string Description {get;set;}="";
        public List<SeasonWithEpisodes> Seasons {get;set;}
    }
}