using System;
using System.Collections.Generic;

namespace Tesses.CMS.Client
{
    public class SeasonWithEpisodes
    {
        public SeasonWithEpisodes(Season season,List<Episode> episodes)
        {
            ProperName = season.ProperName;
            Name = season.Name;
            SeasonNumber = season.SeasonNumber;
            CreationTime = season.CreationTime;
            LastUpdated = season.LastUpdated;
            Description = season.Description;
            Episodes = episodes;
        }
        public string ProperName {get;set;}="";

        public string Name {get;set;}="";
        public int SeasonNumber {get;set;}
       

        public DateTime CreationTime {get;set;}
        public DateTime LastUpdated {get;set;}

        public string Description {get;set;}="";

        public List<Episode> Episodes {get;set;}
    }
}